% Generic Deep Architectures
% Seems like a generically good resource
@article{bengio2009learning,
	Author = {Bengio, Yoshua and others},
	Journal = {Foundations and trends{\textregistered} in Machine Learning},
	Number = {1},
	Pages = {1--127},
	Publisher = {Now Publishers, Inc.},
	Title = {Learning deep architectures for AI},
	Volume = {2},
	Year = {2009}}

% Cat visual cortex study. Foundation for LeCun et al
@article{hubel1962receptive,
	Author = {Hubel, David H and Wiesel, Torsten N},
	Journal = {The Journal of physiology},
	Number = {1},
	Pages = {106--154},
	Publisher = {Wiley Online Library},
	Title = {Receptive fields, binocular interaction and functional architecture in the cat's visual cortex},
	Volume = {160},
	Year = {1962}}

% Original CNN for image classification
@article{lecun1989backpropagation,
	Author = {LeCun, Yann and Boser, Bernhard and Denker, John S and Henderson, Donnie and Howard, Richard E and Hubbard, Wayne and Jackel, Lawrence D},
	Journal = {Neural computation},
	Number = {4},
	Pages = {541--551},
	Publisher = {MIT Press},
	Title = {Backpropagation applied to handwritten zip code recognition},
	Volume = {1},
	Year = {1989}}

@article{lecun1998gradient,
	Author = {LeCun, Yann and Bottou, L{\'e}on and Bengio, Yoshua and Haffner, Patrick},
	Journal = {Proceedings of the IEEE},
	Number = {11},
	Pages = {2278--2324},
	Publisher = {IEEE},
	Title = {Gradient-based learning applied to document recognition},
	Volume = {86},
	Year = {1998}}

@incollection{lecun1999object,
  title={Object recognition with gradient-based learning},
  author={LeCun, Yann and Haffner, Patrick and Bottou, L{\'e}on and Bengio, Yoshua},
  booktitle={Shape, contour and grouping in computer vision},
  pages={319--345},
  year={1999},
  publisher={Springer}
}

% Recent CNN
@inproceedings{krizhevsky2012imagenet,
	Author = {Krizhevsky, Alex and Sutskever, Ilya and Hinton, Geoffrey E},
	Booktitle = {Advances in neural information processing systems},
	Pages = {1097--1105},
	Title = {Imagenet classification with deep convolutional neural networks},
	Year = {2012}}

% CNN for signal detection
@article{bruno2018classification,
  title={Classification of crystallization outcomes using deep convolutional neural networks},
  author={Bruno, Andrew E and Charbonneau, Patrick and Newman, Janet and Snell, Edward H and So, David R and Vanhoucke, Vincent and Watkins, Christopher J and Williams, Shawn and Wilson, Julie},
  journal={PLOS one},
  volume={13},
  number={6},
  pages={e0198883},
  year={2018},
  publisher={Public Library of Science}
}

% GPU CNN
@inproceedings{ciresan2011flexible,
	Author = {Ciresan, Dan C and Meier, Ueli and Masci, Jonathan and Maria Gambardella, Luca and Schmidhuber, J{\"u}rgen},
	Booktitle = {IJCAI Proceedings-International Joint Conference on Artificial Intelligence},
	Number = {1},
	Organization = {Barcelona, Spain},
	Pages = {1237},
	Title = {Flexible, high performance convolutional neural networks for image classification},
	Volume = {22},
	Year = {2011}}

@inproceedings{ciresan2012multi,
	Author = {Ciresan, Dan and Meier, Ueli and Schmidhuber, J{\"u}rgen},
	Booktitle = {Computer Vision and Pattern Recognition (CVPR), 2012 IEEE Conference on},
	Organization = {IEEE},
	Pages = {3642--3649},
	Title = {Multi-column deep neural networks for image classification},
	Year = {2012}}

% CNNs and Medical Pattern Recognition
@article{lo1995artificial,
	Author = {Lo, Shih-Chung B and Chan, Heang-Ping and Lin, Jyh-Shyan and Li, Huai and Freedman, Matthew T and Mun, Seong K},
	Journal = {Neural networks},
	Number = {7},
	Pages = {1201--1214},
	Publisher = {Elsevier},
	Title = {Artificial convolution neural network for medical image pattern recognition},
	Volume = {8},
	Year = {1995}}

@inproceedings{ciresan2013mitosis,
	Author = {Cire{\c{s}}an, Dan C and Giusti, Alessandro and Gambardella, Luca M and Schmidhuber, J{\"u}rgen},
	Booktitle = {International Conference on Medical Image Computing and Computer-assisted Intervention},
	Organization = {Springer},
	Pages = {411--418},
	Title = {Mitosis detection in breast cancer histology images with deep neural networks},
	Year = {2013}}

@article{esteva2017dermatologist,
	Author = {Esteva, Andre and Kuprel, Brett and Novoa, Roberto A and Ko, Justin and Swetter, Susan M and Blau, Helen M and Thrun, Sebastian},
	Journal = {Nature},
	Number = {7639},
	Pages = {115--118},
	Publisher = {Nature Research},
	Title = {Dermatologist-level classification of skin cancer with deep neural networks},
	Volume = {542},
	Year = {2017}}

% 3D CNN + Medical Images
@article{kamnitsas2017efficient,
	Author = {Kamnitsas, Konstantinos and Ledig, Christian and Newcombe, Virginia FJ and Simpson, Joanna P and Kane, Andrew D and Menon, David K and Rueckert, Daniel and Glocker, Ben},
	Journal = {Medical image analysis},
	Pages = {61--78},
	Publisher = {Elsevier},
	Title = {Efficient multi-scale 3D CNN with fully connected CRF for accurate brain lesion segmentation},
	Volume = {36},
	Year = {2017}}

@article{dou20173d,
	Author = {Dou, Qi and Yu, Lequan and Chen, Hao and Jin, Yueming and Yang, Xin and Qin, Jing and Heng, Pheng-Ann},
	Journal = {Medical Image Analysis},
	Publisher = {Elsevier},
	Title = {3D deeply supervised network for automated segmentation of volumetric medical images},
	Year = {2017}}

@article{havaei2017brain,
	Author = {Havaei, Mohammad and Davy, Axel and Warde-Farley, David and Biard, Antoine and Courville, Aaron and Bengio, Yoshua and Pal, Chris and Jodoin, Pierre-Marc and Larochelle, Hugo},
	Journal = {Medical image analysis},
	Pages = {18--31},
	Publisher = {Elsevier},
	Title = {Brain tumor segmentation with deep neural networks},
	Volume = {35},
	Year = {2017}}

@article{ghafoorian2017deep,
	Author = {Ghafoorian, Mohsen and Karssemeijer, Nico and Heskes, Tom and Bergkamp, Mayra and Wissink, Joost and Obels, Jiri and Keizer, Karlijn and de Leeuw, Frank-Erik and van Ginneken, Bram and Marchiori, Elena and others},
	Journal = {NeuroImage: Clinical},
	Pages = {391--399},
	Publisher = {Elsevier},
	Title = {Deep multi-scale location-aware 3d convolutional neural networks for automated detection of lacunes of presumed vascular origin},
	Volume = {14},
	Year = {2017}}

@article{van2016fast,
	Author = {van Grinsven, Mark JJP and van Ginneken, Bram and Hoyng, Carel B and Theelen, Thomas and S{\'a}nchez, Clara I},
	Journal = {IEEE transactions on medical imaging},
	Number = {5},
	Pages = {1273--1284},
	Publisher = {IEEE},
	Title = {Fast convolutional neural network training using selective data sampling: Application to hemorrhage detection in color fundus images},
	Volume = {35},
	Year = {2016}}

@article{de2018clinically,
        title={Clinically applicable deep learning for diagnosis and referral in retinal disease},
        author={De Fauw, Jeffrey and Ledsam, Joseph R and Romera-Paredes, Bernardino and Nikolov, Stanislav and Tomasev, Nenad and Blackwell, Sam and Askham, Harry and Glorot, Xavier and O’Donoghue, Brendan and Visentin, Daniel and others},
        journal={Nature Medicine},
        pages={1},
        year={2018},
        publisher={Nature Publishing Group}}

% 3D CNNs
@article{ji20133d,
  title={3D convolutional neural networks for human action recognition},
  author={Ji, Shuiwang and Xu, Wei and Yang, Ming and Yu, Kai},
  journal={IEEE transactions on pattern analysis and machine intelligence},
  volume={35},
  number={1},
  pages={221--231},
  year={2013},
  publisher={IEEE}
}

@inproceedings{wu20153d,
  title={3d shapenets: A deep representation for volumetric shapes},
  author={Wu, Zhirong and Song, Shuran and Khosla, Aditya and Yu, Fisher and Zhang, Linguang and Tang, Xiaoou and Xiao, Jianxiong},
  booktitle={Proceedings of the IEEE conference on computer vision and pattern recognition},
  pages={1912--1920},
  year={2015}
}

@inproceedings{maturana2015voxnet,
  title={Voxnet: A 3d convolutional neural network for real-time object recognition},
  author={Maturana, Daniel and Scherer, Sebastian},
  booktitle={Intelligent Robots and Systems (IROS), 2015 IEEE/RSJ International Conference on},
  pages={922--928},
  year={2015},
  organization={IEEE}
}

@inproceedings{qi2016volumetric,
	Author = {Charles Ruizhongtai Qi and Hao Su and Matthias Nie{\ss}ner and Angela Dai and Mengyuan Yan and Leonidas Guibas},
	Booktitle = {Proc. Computer Vision and Pattern Recognition (CVPR), IEEE},
	Title = {Volumetric and Multi-View CNNs for Object Classification on 3D Data},
	Year = {2016}}

@inproceedings{cciccek20163d,
  title={3D U-Net: learning dense volumetric segmentation from sparse annotation},
  author={{\c{C}}i{\c{c}}ek, {\"O}zg{\"u}n and Abdulkadir, Ahmed and Lienkamp, Soeren S and Brox, Thomas and Ronneberger, Olaf},
  booktitle={International Conference on Medical Image Computing and Computer-Assisted Intervention},
  pages={424--432},
  year={2016},
  organization={Springer}
}

@inproceedings{milletari2016v,
  title={V-net: Fully convolutional neural networks for volumetric medical image segmentation},
  author={Milletari, Fausto and Navab, Nassir and Ahmadi, Seyed-Ahmad},
  booktitle={3D Vision (3DV), 2016 Fourth International Conference on},
  pages={565--571},
  year={2016},
  organization={IEEE}
}

%% Generic CNN uses
% AlphaGo
@misc{alphago2016,
	Author = {Sang-Hun, Choe},
	Day = {15},
	Journal = {The New York Times},
	Month = {March},
	Note = {[retrieved 13 September 2017]},
	Title = {Google's Computer Program Beats Lee Se-dol in Go Tournament},
	Url = {https://www.nytimes.com/2016/03/16/world/asia/korea-alphago-vs-lee-sedol-go.html},
	Year = {2016},
	Bdsk-Url-1 = {https://www.nytimes.com/2016/03/16/world/asia/korea-alphago-vs-lee-sedol-go.html}}

@misc{alphago2017,
	Author = {Mozur, Paul},
	Day = {23},
	Journal = {The New York Times},
	Month = {May},
	Note = {[retrieved 13 September 2017]},
	Title = {Google's AlphaGo Defeats Chinese Go Master in Win for A.I.},
	Url = {https://www.nytimes.com/2017/05/23/business/google-deepmind-alphago-go-champion-defeat.html},
	Year = {2017},
	Bdsk-Url-1 = {https://www.nytimes.com/2017/05/23/business/google-deepmind-alphago-go-champion-defeat.html}}

@article{silver2016mastering,
  title={Mastering the game of Go with deep neural networks and tree search},
  author={Silver, David and Huang, Aja and Maddison, Chris J and Guez, Arthur and Sifre, Laurent and Van Den Driessche, George and Schrittwieser, Julian and Antonoglou, Ioannis and Panneershelvam, Veda and Lanctot, Marc and others},
  journal={Nature},
  volume={529},
  number={7587},
  pages={484--489},
  year={2016},
  publisher={Nature Research}
}

% Character Recognition
@inproceedings{coates2011text,
  title={Text detection and character recognition in scene images with unsupervised feature learning},
  author={Coates, Adam and Carpenter, Blake and Case, Carl and Satheesh, Sanjeev and Suresh, Bipin and Wang, Tao and Wu, David J and Ng, Andrew Y},
  booktitle={Document Analysis and Recognition (ICDAR), 2011 International Conference on},
  pages={440--445},
  year={2011},
  organization={IEEE}
}

@inproceedings{bai2014image,
  title={Image character recognition using deep convolutional neural network learned from different languages},
  author={Bai, Jinfeng and Chen, Zhineng and Feng, Bailan and Xu, Bo},
  booktitle={Image Processing (ICIP), 2014 IEEE International Conference on},
  pages={2560--2564},
  year={2014},
  organization={IEEE}
}

@inproceedings{zhong2015high,
  title={High performance offline handwritten chinese character recognition using googlenet and directional feature maps},
  author={Zhong, Zhuoyao and Jin, Lianwen and Xie, Zecheng},
  booktitle={Document Analysis and Recognition (ICDAR), 2015 13th International Conference on},
  pages={846--850},
  year={2015},
  organization={IEEE}
}

@inproceedings{chen2015beyond,
  title={Beyond human recognition: A CNN-based framework for handwritten character recognition},
  author={Chen, Li and Wang, Song and Fan, Wei and Sun, Jun and Naoi, Satoshi},
  booktitle={Pattern Recognition (ACPR), 2015 3rd IAPR Asian Conference on},
  pages={695--699},
  year={2015},
  organization={IEEE}
}

% Image generation
@inproceedings{van2016conditional,
	Author = {van den Oord, Aaron and Kalchbrenner, Nal and Espeholt, Lasse and Vinyals, Oriol and Graves, Alex and others},
	Booktitle = {Advances in Neural Information Processing Systems},
	Pages = {4790--4798},
	Title = {Conditional image generation with pixelcnn decoders},
	Year = {2016}}

% Colorization
@inproceedings{zhang2016colorful,
	Author = {Zhang, Richard and Isola, Phillip and Efros, Alexei A},
	Booktitle = {European Conference on Computer Vision},
	Organization = {Springer},
	Pages = {649--666},
	Title = {Colorful image colorization},
	Year = {2016}}

% Sound generation
@article{oord2016wavenet,
	Author = {Oord, Aaron van den and Dieleman, Sander and Zen, Heiga and Simonyan, Karen and Vinyals, Oriol and Graves, Alex and Kalchbrenner, Nal and Senior, Andrew and Kavukcuoglu, Koray},
	Journal = {arXiv preprint arXiv:1609.03499},
	Title = {Wavenet: A generative model for raw audio},
	Year = {2016}}

% Variational Autoencoders
@inproceedings{kingma2014auto,
	Author = {Kingma, Diederik P and Welling, Max},
	Booktitle = {International Conference on Learning Representations},
	Title = {Auto-encoding variational Bayes},
	Year = {2014}}

% Adds MCMC and generate characters
@inproceedings{salimans2015markov,
	Author = {Salimans, Tim and Kingma, Diederik and Welling, Max},
	Booktitle = {Proceedings of the 32nd International Conference on Machine Learning (ICML-15)},
	Pages = {1218--1226},
	Title = {Markov chain monte carlo and variational inference: Bridging the gap},
	Year = {2015}}

% Generate faces and characters
@article{rezende2014stochastic,
	Author = {Rezende, Danilo Jimenez and Mohamed, Shakir and Wierstra, Daan},
	Journal = {arXiv preprint arXiv:1401.4082},
	Title = {Stochastic backpropagation and approximate inference in deep generative models},
	Year = {2014}}

% CNN-like VAE. Intermediate facial pose inference from single image
@inproceedings{kulkarni2015deep,
	Author = {Kulkarni, Tejas D and Whitney, William F and Kohli, Pushmeet and Tenenbaum, Josh},
	Booktitle = {Advances in Neural Information Processing Systems},
	Pages = {2539--2547},
	Title = {Deep convolutional inverse graphics network},
	Year = {2015}}

% Complex character generation
@inproceedings{kingma2014semi,
	Author = {Kingma, Diederik P and Mohamed, Shakir and Rezende, Danilo Jimenez and Welling, Max},
	Booktitle = {Advances in Neural Information Processing Systems},
	Pages = {3581--3589},
	Title = {Semi-supervised learning with deep generative models},
	Year = {2014}}

% RNN-like VAE for image generation
@article{gregor2015draw,
	Author = {Gregor, Karol and Danihelka, Ivo and Graves, Alex and Rezende, Danilo Jimenez and Wierstra, Daan},
	Journal = {arXiv preprint arXiv:1502.04623},
	Title = {DRAW: A recurrent neural network for image generation},
	Year = {2015}}

% Like PixelCNN but with a VAE. Purportedly better
@article{gulrajani2017pixelvae,
	Author = {Gulrajani, Ishaan and Kumar, Kundan and Ahmed, Faruk and Taiga, Adrien Ali and Visin, Francesco and Vazquez, David and Courville, Aaron},
	Journal = {International Conference on Learning Representations},
	Title = {Pixelvae: A latent variable model for natural images},
	Year = {2017}}

% Modify image with representation learned from another image
% e.g. Make a picture of a sunny day look rainy
@article{liuBK17,
  author    = {Ming{-}Yu Liu and
               Thomas Breuel and
               Jan Kautz},
  title     = {Unsupervised Image-to-Image Translation Networks},
  journal   = {CoRR},
  volume    = {abs/1703.00848},
  year      = {2017},
  url       = {http://arxiv.org/abs/1703.00848},
  archivePrefix = {arXiv},
  eprint    = {1703.00848},
  timestamp = {Wed, 07 Jun 2017 14:42:12 +0200},
  biburl    = {http://dblp.org/rec/bib/journals/corr/LiuBK17},
  bibsource = {dblp computer science bibliography, http://dblp.org}
}

% AI Augmented User Interfaces
% Need to get bib - https://distill.pub/2017/aia/

% machine learning nuts and bolts

% Training dataset
@article{halevy2009unreasonable,
  title={The unreasonable effectiveness of data},
  author={Halevy, Alon and Norvig, Peter and Pereira, Fernando},
  journal={IEEE Intelligent Systems},
  volume={24},
  number={2},
  pages={8--12},
  year={2009},
  publisher={IEEE}
}

@article{hestness2017deep,
  title={Deep learning scaling is predictable, empirically},
  author={Hestness, Joel and Narang, Sharan and Ardalani, Newsha and Diamos, Gregory and Jun, Heewoo and Kianinejad, Hassan and Patwary, Md and Ali, Mostofa and Yang, Yang and Zhou, Yanqi},
  journal={arXiv preprint arXiv:1712.00409},
  year={2017}
}

% Tensorflow
@inproceedings{abadi2016tensorflow,
  title={TensorFlow: A System for Large-Scale Machine Learning.},
  author={Abadi, Mart{\'\i}n and Barham, Paul and Chen, Jianmin and Chen, Zhifeng and Davis, Andy and Dean, Jeffrey and Devin, Matthieu and Ghemawat, Sanjay and Irving, Geoffrey and Isard, Michael and others},
  booktitle={OSDI},
  volume={16},
  pages={265--283},
  year={2016}
}

% Adam optimizer
@article{kingma2014adam,
	title={Adam: A method for stochastic optimization},
	author={Kingma, Diederik P and Ba, Jimmy},
	journal={arXiv preprint arXiv:1412.6980},
	year={2014}
}

% Dropout
@article{srivastava2014dropout,
	title={Dropout: A simple way to prevent neural networks from overfitting},
	author={Srivastava, Nitish and Hinton, Geoffrey and Krizhevsky, Alex and Sutskever, Ilya and Salakhutdinov, Ruslan},
	journal={The Journal of Machine Learning Research},
	volume={15},
	number={1},
	pages={1929--1958},
	year={2014},
	publisher={JMLR. org}
}

% Batch normalization
@inproceedings{ioffe2015batch,
	title={Batch normalization: Accelerating deep network training by reducing internal covariate shift},
	author={Ioffe, Sergey and Szegedy, Christian},
	booktitle={International conference on machine learning},
	pages={448--456},
	year={2015}
}

% Xavier initializations
@inproceedings{glorot2010understanding,
  title={Understanding the difficulty of training deep feedforward neural networks},
  author={Glorot, Xavier and Bengio, Yoshua},
  booktitle={Proceedings of the Thirteenth International Conference on Artificial Intelligence and Statistics},
  pages={249--256},
  year={2010}
}

% Huber loss function
@article{huber1964robust,
  title={Robust estimation of a location parameter},
  author={Huber, Peter J and others},
  journal={The annals of mathematical statistics},
  volume={35},
  number={1},
  pages={73--101},
  year={1964},
  publisher={Institute of Mathematical Statistics}
}
